package com.ruoyi.system.service.fgw;

import com.ruoyi.system.domain.fgw.FgwFj;

import java.util.List;

/**
 * 发改委_附件Service接口
 * 
 * @author boman
 * @date 2023-03-22
 */
public interface IFgwFjService 
{
    /**
     * 查询发改委_附件
     * 
     * @param id 发改委_附件主键
     * @return 发改委_附件
     */
    public FgwFj selectFgwFjById(Long id);

    /**
     * 查询发改委_附件列表
     * 
     * @param fgwFj 发改委_附件
     * @return 发改委_附件集合
     */
    public List<FgwFj> selectFgwFjList(FgwFj fgwFj);

    /**
     * 新增发改委_附件
     * 
     * @param fgwFj 发改委_附件
     * @return 结果
     */
    public int insertFgwFj(FgwFj fgwFj);

    /**
     * 修改发改委_附件
     * 
     * @param fgwFj 发改委_附件
     * @return 结果
     */
    public int updateFgwFj(FgwFj fgwFj);

    /**
     * 批量删除发改委_附件
     * 
     * @param ids 需要删除的发改委_附件主键集合
     * @return 结果
     */
    public int deleteFgwFjByIds(Long[] ids);

    /**
     * 删除发改委_附件信息
     * 
     * @param id 发改委_附件主键
     * @return 结果
     */
    public int deleteFgwFjById(Long id);
}
